Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-fstream
Version:        1.0.11
Release:        alt1_4
Summary:        Advanced file system stream objects for Node.js
License:        BSD
URL:            https://github.com/isaacs/fstream
Source0:        https://registry.npmjs.org/fstream/-/fstream-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	examples-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  npm(graceful-fs)
BuildRequires:  npm(inherits)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(rimraf)
BuildRequires:	npm(tap)
Source44: import.info

%description
Provides advanced file system stream objects for Node.js.  These objects are
like FS streams, but with stat on them, and support directories and
symbolic links, as well as normal files.  Also, you can use them to set
the stats on a file, even if you don't change its contents, or to create
a symlink, etc.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fstream
cp -pr package.json fstream.js lib %{buildroot}%{nodejs_sitelib}/fstream
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tap examples/*.js

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/fstream


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.11-alt1_4
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.24-alt1_1
- fc import

* Mon Jul 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.23-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.22-alt1_3
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.22-alt1_1
- initial import

